> For the complete documentation index, see [llms.txt](https://docs.predicthq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.predicthq.com/sdks/python-sdk.md).

# Python SDK

The official PredictHQ Python Client provides a consistent, pythonic interface to our API.

<table data-view="cards"><thead><tr><th></th><th data-hidden></th><th data-hidden></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>PyPi</strong></td><td>Get the PredictHQ Python SDK on PyPi.</td><td></td><td><a href="https://pypi.org/project/predicthq/">https://pypi.org/project/predicthq/</a></td></tr><tr><td><strong>GitHub</strong></td><td>View the code on GitHub.</td><td></td><td><a href="https://github.com/predicthq/sdk-py">https://github.com/predicthq/sdk-py</a></td></tr></tbody></table>

## Example

### Installation

Install the SDK with pip:

```bash
pip install predicthq
```

### Setup the SDK

Initialize the client with your access token:

```python
from predicthq import Client

# Initialises PredictHQ client library using your access token.
# Note: You can find/create your access token at https://control.predicthq.com/clients
phq = Client(access_token="$API_TOKEN")
```

### Search events

Perform a basic search of events using the `q`, `rank_level`, and `country` parameters:

```python
for event in phq.events.search(q="Foo Fighters", rank_level=[4, 5], country='US'):
    print(event.rank, event.category, event.title, event.start.strftime('%Y-%m-%d'))
```

By default, the event search returns only the first 10 results. If you want to paginate or access more results at once, look at either using limit/offset parameters or at using the `iter_all()` helper.

## Further examples

Browse our [use case examples](https://github.com/predicthq/sdk-py/tree/master/usecases) on our GitHub repository.

## Found an issue?

[Log an issue](https://github.com/predicthq/sdk-py/issues/new) on our GitHub repository.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.predicthq.com/sdks/python-sdk.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
